package com.employee.EmployeeManagement;



import static io.restassured.RestAssured.delete;
import static io.restassured.RestAssured.get;
import static io.restassured.RestAssured.given;
import static org.hamcrest.Matchers.hasItems;

import org.hamcrest.Matchers;
import org.springframework.boot.test.context.SpringBootTest;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Test;

import io.restassured.http.ContentType;
import io.restassured.response.Response;

@SpringBootTest
public class EmployeeManagementApplicationTests {

	final static String ROOT_URI = "http://localhost:8080";

	@Test
	public void simple_get_test() {
		Response response = get(ROOT_URI + "/allemployees");
		System.out.println(response.asString());

		response.then().body("empId", hasItems(1));
		response.then().body("empFirstName", hasItems("aaa"));
	}
}